package cn.com.countrygarden.bi.main.model.mediaResource;

import cn.com.countrygarden.bi.main.util.entity.Audit;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Table(name = "t_media_order_run")
@Data
public class MediaOrderRun  implements Audit {
    @Id
    private String orderRunId; //` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '执行单id',
    @Column(name = "order_id")
    private String orderId; //` bigint(20) NOT NULL COMMENT '订单id(媒体资源订单id)',
    @Column(name = "order_run_code")
    private String orderRunCode; //` varchar(36) DEFAULT NULL COMMENT '执行单编号(规则详见文档)',
    @Column(name = "remark")
    private String remark; //` varchar(250) DEFAULT NULL COMMENT '备注',
    @Column(name = "sort")
    private Integer sort; //` int(11) NOT NULL COMMENT '序号（从0开始）',
    @Column(name = "version")
    private Integer version; //` int(11) NOT NULL COMMENT '版本号（从0开始,每次加1）',
    @Column(name = "is_delete")
    private Integer isDelete; //` int(11) NOT NULL COMMENT '作废标记(1删除0非删除)',
    @Column(name = "create_time")
    private Date createTime; //` datetime NOT NULL COMMENT '录入时间(insert时间，JAVA代码插入)',
    @Column(name = "create_by")
    private String createBy; //` varchar(20) NOT NULL COMMENT '录入人员代码(Tb_Sys_User.UserCode，session获取JAVA插入)',
    @Column(name = "create_by_name")
    private String createByName; //` varchar(20) NOT NULL COMMENT '录入人员名称(update, session获取用户名称)',
    @Column(name = "mod_time")
    private Date modTime; //` datetime DEFAULT NULL COMMENT '修改时间（update时间，JAVA代码插入）',
    @Column(name = "mod_by")
    private String modBy; //` varchar(20) DEFAULT NULL COMMENT '修改人员代码（update，Tb_Sys_User.UserCode，session获取JAVA插入）',
    @Column(name = "mod_by_name")
    private String modByName; //` varchar(20) DEFAULT NULL COMMENT '修改人员名称(update, session获取用户名称,JAVA代码插入)',
}
